// pointset_example.01.c
// IA_Set<IA_Point<int> > constructor and iterator examples

#include "IntPS.h"
#include "printIPS.c"


int main()
{
    IA_Set<IA_Point<int> >
	ips1(IA_Point<int>(1,1));
    // ips1 contains the single point <1 1>

    IA_Set<IA_Point<int> >
	ips2 = IA_boxy_pset( IA_Point<int>(0,0),
			     IA_Point<int>(9,9) );
    // ips2 contains all points in the rectangle
    //    bounded by <0 0> and <9 9>
    

    // print the elements of the set ips1
    cout << "*** ips1 ***\n";
    printIPS(ips1);

    // print the elements of the set ips2
    cout << "\n*** ips2 ***\n";
    printIPS(ips2);

    return 0;
}
